# __gnu_cxx::throw_value_base< _Cond > Struct Template Reference

Class with exception generation control. Intended to be used as a value_type in templatized code. More...

Inheritance diagram for __gnu_cxx::throw_value_base< _Cond >:
[legend]

List of all members.

## Public Types

- typedef _Cond condition_type

## Public Member Functions

- throw_value_base (const throw_value_base &__v)
- throw_value_base (const std::size_t __i)
- throw_value_base & operator++ ()
- throw_value_base & operator= (const throw_value_base &__v)

## Public Attributes

- std::size_t _M_i

## Detailed Description

### template<typename _Cond>
struct __gnu_cxx::throw_value_base< _Cond >

Class with exception generation control. Intended to be used as a value_type in templatized code.

Note: Destructor not allowed to throw.

Definition at line 453 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h